# Some extra environment variables
export PATH="${HOME}/.local/bin:${PATH}"

add_ssh_keys() {
    pass show ssh/personal_gitea | ssh-add ~/.ssh/personal_gitea
    pass show ssh/personal_server | ssh-add ~/.ssh/personal_server
    pass show ssh/gandi_vps | ssh-add ~/.ssh/gandi_vps
    pass show ssh/notabug | ssh-add ~/.ssh/notabug
    pass show ssh/aur | ssh-add ~/.ssh/aur
}

# Because I use zsh to start graphical sessions
if [[ -o login ]]; then
    export LC_ALL=en_US.UTF-8
    eval "$(gnome-keyring-daemon --start 2>/dev/null)"
    export SSH_AUTH_SOCK
    SSH_ASKPASS_REQUIRE="force" \
        SSH_ASKPASS="/usr/local/bin/ssh-askpass-cat.sh" \
        add_ssh_keys &

    if ! [[ -v WAYLAND_DISPLAY ]] && [ "${XDG_VTNR}" -eq 1 ]; then
        exec Hyprland
    fi
fi
